/*
 
 
 
    En Java 1.4
    
    boolean 	add(Object o)
    Ajoute l'lment spcifi  la fin de la liste.
    
    En java tout est objet sauf les types primitifs. Pour ajouter directement un type primitif
    il fallait passer par une des classes de rfrence. Ce n'est plus le cas, comme nous l'avons
    constat avec l'exemple ConversionTester.java
    
    Ainsi, rien ne nous empche de crer maintenant une Collection de types primitifs, comme le montre
    cet exemple.
 
 
    En Java 1.5
    
    boolean 	add(E o)
    Ajoute l'lment spcifi  la fin de la liste.
   
    Vous remarquez ici qu'il ne s'agit plus d'un argument de type Object mais E. E tant un type "gnrique".
    
    
 
 
    Auteur: Mohamed Lokbani
 
 */

import java.util.*;


public class Test03 {
	
    static public void main(String [] args){
        List<Integer> list = new ArrayList<Integer>();
        int v = 200;
        int z = 600;
        list.add(v);
        list.add(z);

        String phrase = "trouble fte";
//        list.add(phrase);
        System.out.println("Liste:" + list);
        
        Iterator iter = list.iterator();
        while(iter.hasNext()){
            int w = (Integer) iter.next();
            System.out.println("w:" + w);
        }
    }	
	
}

/*

        List<Integer> list = new ArrayList<Integer>();

        Ici on prcise que nous avons  faire  une collection dont les lments sont du type Integer.

        >javac Test03.java
            Test03.java:45: cannot find symbol
            symbol  : method add(java.lang.String)
            location: interface java.util.List<java.lang.Integer>
                    list.add(phrase);
                        ^
            1 error
        >Exit code: 1

        Ainsi on ne peut plus mettre n'importe quoi dans la liste et l'instance du type String a t
        rejete car List ne peut contenir que des Integer.

        En mettant en commentaire la ligne

            //        list.add(phrase);

            >javac Test03.java
            >Exit code: 0


        En plus de passer correctement l'tape de compilation, le compilateur ne signale plus de warnings.

*/
